openHAB 2.0.0 Release Candidate

No. You are currently on the Snapshot (#693) version
To switch from Snapshot versions to the testing versions (Beta, Release Candidate) you need to use another apt package repository.

Follow these instructions to go from Snapshot to RC1 (they also apply to your case):

(before, you need to switch repositories by modifying /etc/apt/sources.list.d/openhab2.list and using the testing repo):

wget -qO - 'https://bintray.com/user/downloadSubjectPublicKey?username=openhab' | sudo apt-key add -
echo 'deb http://dl.bintray.com/openhab/apt-repo2 testing main' | sudo tee /etc/apt/sources.list.d/openhab2.list

OR

you could stay on the snapshot apt repository and perform an upgrade to get the latest snapshot
Make sure that you have switched to the new bintray snapshot repo (don’t use the older snapshot apt repository at cloudbees)

wget -qO - 'https://bintray.com/user/downloadSubjectPublicKey?username=openhab' | sudo apt-key add -
echo 'deb http://dl.bintray.com/openhab/apt-repo2 unstable main' | sudo tee /etc/apt/sources.list.d/openhab2.list

http://docs.openhab.org/installation/linux.html#package-repository-installation

I am also stuck on b5 somehow. My /etc/apt/sources.list.d/openhab2.list contains the right path but during the apt-get update it seems to be ignored and does not show the full path with */openhab/apt-repo2:

Ign http://dl.bintray.com testing/main Translation-en_GB
Ign http://dl.bintray.com testing/main Translation-en

Any suggestions?

not sure why this is happening…

I would try the following:

  1. Make sure that your /etc/apt/sources.list.d/openhab2.list file contains only 1 line: deb http://dl.bintray.com/openhab/apt-repo2 testing main
  2. Make sure that you have added the openHAB 2 Bintray repository key: wget -qO - 'https://bintray.com/user/downloadSubjectPublicKey?username=openhab' | sudo apt-key add -
  3. apt-get clean, then apt-get update and then apt-get upgrade

Edit: See 2 posts below for the correct solution (apt-get install openhab2) : openHAB 2.0.0 Release Candidate

  1. check
  2. check
  3. apt-get clean was new for me but still doesn’t work :frowning:

0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded

.b5 will have online and offline variants, but these have been since merged into one for RC1 and up and no new version of offline/online exists.

To upgrade, you should only need apt-get install openhab2 which will remove the old version automatically. From then on, upgrade will work as you intend.

2 Likes

THANK YOU!

this should be in OP, took me ages to find out why i didnt get the update…

Thank you, I mistakenly copied the unstable repo. But now openhab won’t start anymore. It doesn’t even get to the point of creating logs, so I’m not sure where to start troubleshooting.

1 Like

Thank you Dim,

I was right to worry. Unfortunattely, the method you describe is precisely the one I followed and which I retried (adding the clean in the middle):
wget -qO - ‘https://bintray.com/user/downloadSubjectPublicKey?username=openhab’ | sudo apt-key add -
echo ‘deb http://dl.bintray.com/openhab/apt-repo2 testing main’ | sudo tee /etc/apt/sources.list.d/openhab2.list
-> my files content are OK

sudo apt-clean
sudo apt-get update
sudo apt-get upgrade

I even tried a
sudo apt-get install openhab2

openhab2 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

But it remains stuck in beta5

Any clue? thanks

Olivier

This should have worked… (as described here: openHAB 2.0.0 Release Candidate)

What is the output of the following command?:

apt-cache policy openhab2

If in doubt, try copying and pasting all of this into your terminal:

wget -qO - 'https://bintray.com/user/downloadSubjectPublicKey?username=openhab' | sudo apt-key add -
echo 'deb http://dl.bintray.com/openhab/apt-repo2 testing main' | sudo tee /etc/apt/sources.list.d/openhab2.list
sudo apt-get clean
sudo apt-get update
sudo service openhab2 stop
sudo apt-get install openhab2=2.0.0~RC1-1

But you can also hold off for the offical release of openHAB 2.0.0, which is just around the corner.

1 Like

This post was flagged by the community and is temporarily hidden.

Many thank Kai, I would like to help you for documentation but i’m new of this project and i must understand many things before to write about open hub. (Now I need documentation :sunglasses:)

Hey there,

I just loaded OpenHab2 RC1 on my Raspberry and got everything working for a couple of minutes. However after like 30min OpenHab somehow AUTOMATICALLY started uninstalling all GUI’s (even the default ones) and bindings I installed with PaperUI a couple of minutes before. Any known reason for this “self destruct” behavior?

I extracted the TAR.GZ file with RC1 on my Raspberry and copied the complete /conf/ folder from my productive installation (2.0 SNAPSHOT) to the RC1 folder, overwriting the default /conf/ folder.

Last log entries:

2017-01-23 00:32:00.268 [INFO ] [.eclipse.smarthome.model.script.FILE] - Outlet02_Alias OFF fired START
2017-01-23 00:32:00.287 [INFO ] [.eclipse.smarthome.model.script.FILE] - Outlet02_Alias OFF fired END
2017-01-23 00:32:00.296 [INFO ] [.eclipse.smarthome.model.script.FILE] - Outlet02_Alias ON fired END
2017-01-23 00:32:00.442 [INFO ] [g.discovery.internal.PersistentInbox] - Added new thing 'max:thermostat:LEQ0127205:MEQ1318475' to inbox.
2017-01-23 00:32:00.449 [INFO ] [g.discovery.internal.PersistentInbox] - Added new thing 'max:thermostat:LEQ0127205:MEQ1358009' to inbox.
2017-01-23 00:32:00.455 [INFO ] [g.discovery.internal.PersistentInbox] - Added new thing 'max:thermostat:LEQ0127205:MEQ1358011' to inbox.
2017-01-23 00:32:00.462 [INFO ] [g.discovery.internal.PersistentInbox] - Added new thing 'max:thermostat:LEQ0127205:MEQ1320673' to inbox.
2017-01-23 00:32:00.469 [INFO ] [g.discovery.internal.PersistentInbox] - Added new thing 'max:thermostat:LEQ0127205:MEQ1317552' to inbox.
2017-01-23 00:32:00.477 [INFO ] [g.discovery.internal.PersistentInbox] - Added new thing 'max:thermostat:LEQ0127205:MEQ1357437' to inbox.
2017-01-23 00:32:00.485 [INFO ] [g.discovery.internal.PersistentInbox] - Added new thing 'max:shuttercontact:LEQ0127205:KEQ0660128' to inbox.
2017-01-23 00:32:00.493 [INFO ] [g.discovery.internal.PersistentInbox] - Added new thing 'max:shuttercontact:LEQ0127205:KEQ0663214' to inbox.
2017-01-23 00:32:02.073 [WARN ] [.thing.internal.GenericThingProvider] - Thing 0210 does not have a bridge so it needs to be defined in full notation like <bindingId>:0210:bulb1
2017-01-23 00:32:02.074 [WARN ] [.thing.internal.GenericThingProvider] - Thing 0210 does not have a bridge so it needs to be defined in full notation like <bindingId>:0210:bulb2
2017-01-23 00:32:02.075 [WARN ] [.thing.internal.GenericThingProvider] - Thing 0210 does not have a bridge so it needs to be defined in full notation like <bindingId>:0210:bulb3
2017-01-23 00:32:04.419 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-binding-network'
2017-01-23 00:32:04.533 [WARN ] [ore.internal.events.OSGiEventManager] - Dispatching event to subscriber 'org.eclipse.smarthome.core.thing.link.ThingLinkManager@94af3b' takes more than 5000ms.
2017-01-23 00:32:13.567 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-persistence-mysql'
2017-01-23 00:32:23.493 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-persistence-jdbc-mysql'
2017-01-23 00:32:30.895 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-binding-yamahareceiver'
2017-01-23 00:32:39.048 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-transformation-xpath'
2017-01-23 00:32:46.469 [INFO ] [arthome.ui.paper.internal.PaperUIApp] - Stopped Paper UI
2017-01-23 00:32:46.586 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-ui-paper'
2017-01-23 00:32:53.795 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-binding-http1'
2017-01-23 00:32:54.030 [INFO ] [b.core.service.AbstractActiveService] - HTTP Refresh Service has been shut down
2017-01-23 00:32:59.488 [INFO ] [basic.internal.servlet.WebAppServlet] - Stopped Basic UI
2017-01-23 00:32:59.606 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-ui-basic'
2017-01-23 00:33:05.940 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-binding-exec'
2017-01-23 00:33:12.944 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-misc-restdocs'
2017-01-23 00:33:20.317 [INFO ] [panel.internal.HABPanelDashboardTile] - Stopped HABPanel
2017-01-23 00:33:20.426 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-ui-habpanel'
2017-01-23 00:33:28.286 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-transformation-map'
2017-01-23 00:33:33.968 [INFO ] [assic.internal.servlet.WebAppServlet] - Stopped Classic UI
2017-01-23 00:33:34.095 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-ui-classic'
2017-01-23 00:33:40.194 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-transformation-xslt'
2017-01-23 00:33:44.740 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-transformation-exec'
2017-01-23 00:33:49.450 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-binding-max'
2017-01-23 00:33:54.908 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-action-mail'
2017-01-23 00:33:59.899 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-binding-astro'
2017-01-23 00:34:05.645 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-transformation-regex'

I upgraded and all seems to be well for me. Upgrade was easy and my (relatively simple) OpenHAB install continues to run well.

1 Like

Are you coming from an older build and have your installed bindings configured in addons.cfg?
Then this will happen … because of massive changes to the runtime in the last few weeks.

I upgraded and everything is working great!
Seems to be more stable then my previous snapshot build i was on! Keep up the great work!

Hi, I’ve just upgraded and am getting some very strange behaviour. Firstly, I’ve lost my UIs :confused:

When i login i just get this:

So no Basic UI or Classic UI. I also get no config for those UIs when i go into Paper UI.

It doesn’t seem to find any of my things - i had loads via Harmony Hub and Onkyo Amp. I’ve even tried uninstalling and re-installing both add-ons, still no joy.

I’ve also lost my KNX binding and can’t seem to enable it again. I believe its a 1.0 version but compatible with 2.0 and always used to show up in the available bindings. Actually, I’ve noticed that no 1.0 bindings are appearing in the paper UI add-ons config. They are all only labeled 2.0 STABLE.

Here’s my log…

2017-03-01 03:59:35.909 [INFO ] [io.openhabcloud.internal.CloudClient] - Connected to the openHAB Cloud service (UUID = a0b017aa-ceac-46a7-844e-7dd3266fb0c9, base URL = http://localhost:8080)
2017-03-01 03:59:40.721 [INFO ] [el.core.internal.ModelRepositoryImpl] - Loading model 'broadlands.items'
2017-03-01 03:59:44.602 [INFO ] [el.core.internal.ModelRepositoryImpl] - Loading model 'broadlands.sitemap'
2017-03-01 03:59:46.347 [INFO ] [.dashboard.internal.DashboardService] - Started dashboard at /start
2017-03-01 03:59:47.623 [INFO ] [arthome.ui.paper.internal.PaperUIApp] - Started Paper UI at /paperui
2017-03-01 03:59:47.853 [INFO ] [panel.internal.HABPanelDashboardTile] - Started HABPanel at /habpanel

Don’t think i’ve upgraded since november, just wondering if locations of config files have moved or something.

Help appreciated

Pete

Oh yes, they did:

There have been a lot of other breaking changes, please read through:

https://community.openhab.org/c/setup-configuration-and-use/news-important-changes

Thanks, I added a couple of update to addons.cnf which seems to have kicked things in. My UIs and things are all now back…thanks for the heads-up!

Pete

1 Like